<?php
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.register.php');
	require_once ('./includes/funct.profile.php');
	header('Content-Type: text/javascript; charset=utf8');

	if (isset($_POST['action'])) {
		$ret = 'false';

		/* check if email is valid */
		if ($_POST['action'] == 'emailIsValid') {
			$_POST['email'] = trim($_POST['email']);
			if (register_emailIsValid($_POST['email']) === true)
				$ret = json_encode(array("result" => "true"));
			else
				$ret = json_encode(array("result" => "false"));
		}

		/* check if username is free */
		if ($_POST['action'] == 'emailIsFree') {
			$_POST['email'] = trim($_POST['email']);
			try {
				$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
				if ($settings_redis_password !== false)
					$redis->auth($settings_redis_password);
			} catch (Exception $e) {
			}
			if (register_emailIsValid($_POST['email']) == true &&
				register_emailIsFree($redis, $_POST['email']) == true)
				$ret = json_encode(array("result" => "true"));
			else
				$ret = json_encode(array("result" => "false"));
		}
		
		/* check if login is free */
		if ($_POST['action'] == 'loginIsFree') {
			$_POST['login'] = trim($_POST['login']);
			try {
				$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
				if ($settings_redis_password !== false)
					$redis->auth($settings_redis_password);
			} catch (Exception $e) {
			}
			
			if (register_loginIsValid($_POST['login']) == true && 
				register_loginIsFree($redis, $_POST['login']) == true)
				$ret = json_encode(array("result" => "true"));
			else
				$ret = json_encode(array("result" => "false"));
		}
		
		/* check if Fullname is OK */
		if ($_POST['action'] == 'fullnameValid') {
			$_POST['fullname'] = trim($_POST['fullname']);
			if (strlen($_POST['fullname']) > 4)
				$ret = json_encode(array("result" => "true"));
			else
				$ret = json_encode(array("result" => "false"));
		}
		
		/* Follow this user */
		if ($_POST['action'] == 'followUser') {
			$_POST['myid'] = intval($_POST['myid']);
			$_POST['uid'] = intval($_POST['uid']);
			try {
				$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
				if ($settings_redis_password !== false)
					$redis->auth($settings_redis_password);
			} catch (Exception $e) {
			}
			if (profile_isFollowing($redis, $_POST['myid'], $_POST['uid']) === false) {
				profile_followThisId($redis, $_POST['myid'], $_POST['uid']);
				$ret = json_encode(array("result" => "true"));
			}
			else
				$ret = json_encode(array("result" => "false"));
		}
		
		/* Print Return */
		echo $ret;
	}
?>

