<?php
	@include_once ('./class.redis.php');
	@include_once ('./includes/class.redis.php');
	
	function		login_openSession($redis, $login, $password)
	{
		@session_start();
		if (eregi("^[A-Za-z0-9]+$", $login) == false) {
			$_SESSION['error'] = 'Login not correct';
			return (false);
		}
		$userID = $redis->get('account::'.strtolower($login).'::uid');
		if (intval($userID) <= 0) {
			$_SESSION['error'] = 'Bad login';
			return (false);
		}
		$sha1_pass = $redis->get('uid::'.intval($userID).'::password');
		if ($sha1_pass != sha1($password)) {
			$_SESSION['error'] = 'Bad password';
			return (false);
		}
		$_SESSION['uid'] = $userID;
		$_SESSION['login'] = $redis->get('uid::'.intval($userID).'::login');
		$_SESSION['fullname'] = $redis->get('uid::'.intval($userID).'::fullname');
		$_SESSION['avatar'] = $redis->get('uid::'.intval($userID).'::avatar');
		$_SESSION['email'] = $redis->get('uid::'.intval($userID).'::email');
		return (true);
	}
?>

