<?php
	@include_once ('./includes/class.redis.php');
	
	function		profile_getProfileInformations($redis, $uid)
	{
		$ret = array();
		$uid = intval($uid);
		
		$ret['fullname'] = $redis->get('uid::'.$uid.'::fullname');
		$ret['login'] = $redis->get('uid::'.$uid.'::login');
		$ret['email'] = $redis->get('uid::'.$uid.'::email');
		$ret['avatar'] = $redis->get('uid::'.$uid.'::avatar');
		return ($ret);
	}
	
	function		profile_getCountMsgFollow($redis, $uid)
	{
		$uid = intval($uid);

		$ret['nb'] = $redis->llen('uid::'.$uid.'::posts');
		$ret['followers'] = $redis->llen('uid::'.$uid.'::followers');
		$ret['following'] = $redis->llen('uid::'.$uid.'::following');

		return ($ret);
	}
	
	function		profile_getMyFollowing($redis, $uid)
	{
		@session_start();
		$len = $redis->llen('uid::'.$uid.'::following');
		$_SESSION['following'] = $redis->lrange('uid::'.$uid.'::following', 0, $len);
		return ($_SESSION['following'] == NULL ? false : true);
	}
	
	function		profile_isFollowing($redis, $myid, $uid)
	{
		@session_start();
		$myid = intval($myid);
		$uid = intval($uid);

		if ($myid == $uid)
			return (true);
		if ($redis != NULL && @$_SESSION['following'] == NULL)
			profile_getMyFollowing($redis, $myid);
		foreach ($_SESSION['following'] as $f) {
			if ($f == $uid)
				return (true);
		}
		return (false);
	}
	
	function		profile_followThisId($redis, $myid, $uid)
	{
		@session_start();
		$myid = intval($myid);
		$uid = intval($uid);
		$_SESSION['following'] = $redis->lrange('uid::'.$myid.'::following', 0, $redis->llen('uid::'.$myid.'::following'));
		if (@$_SESSION['following'] != NULL)
		{
			foreach ($_SESSION['following'] as $f) {
				if ($f == $uid)
					return (false);
			}
		}
		$redis->lpush('uid::'.$myid.'::following', $uid);
		$redis->lpush('uid::'.$uid.'::followers', $myid);
	}
?>

