<?php
	require_once ('./includes/class.redis.php');
	
	function		register_emailIsFree($redis, $email)
	{
		if ($redis->get('account::'.$email.'::uid') != NULL)
			return (false);
		return (true);
	}
	
	function		register_loginIsFree($redis, $login)
	{
		if ($redis->get('account::'.$login.'::uid') != NULL)
			return (false);
		return (true);
	}
	
	function		register_loginIsValid($login)
	{
		$login = strtolower($login);
		if (strlen($login) < 5)
			return (false);
		if (eregi("^[A-Za-z0-9]+$", $login) == true)
			return (true);
		return (false);
	}
	
	function		register_emailIsValid($email)
	{
		if (eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", $email) == true)
			return (true);
		return (false);
	}
	
	function		register_createAccount($redis, $fullname, $email, $password, $login)
	{
		$nxtUID = $redis->incr('global::UserId');
		$redis->set('account::'.strtolower($email).'::uid', $nxtUID);
		$redis->set('account::'.strtolower($login).'::uid', $nxtUID);
		$redis->set('uid::'.$nxtUID.'::createtime', time());
		$redis->set('uid::'.$nxtUID.'::login', $login);
		$redis->set('uid::'.$nxtUID.'::fullname', $fullname);
		$redis->set('uid::'.$nxtUID.'::password', sha1($password));
		$redis->set('uid::'.$nxtUID.'::email', strtolower($email));
		$redis->set('uid::'.$nxtUID.'::avatar', '');
	}
?>

