<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.tool.php');
	require_once ('./includes/funct.register.php');
	require_once ('./includes/funct.login.php');
	
	if (isset($_POST['login']) && isset($_POST['password'])) {
		$_POST['login'] = trim($_POST['login']);
		$_POST['password'] = trim($_POST['password']);
		
		if (strlen($_POST['password']) > 2 && strlen($_POST['login']) > 3) {
			try {
				$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
				if ($settings_redis_password !== false)
					$redis->auth($settings_redis_password);
			} catch (Exception $e) {
				echo 'Unable to connect to Redis...';
			}
			login_openSession($redis, $_POST['login'], $_POST['password']);
		}
	}
	if ($_POST['login'] != "")
		header('Location: '.$settings_baseurl.'?l='.$_POST['login']);
	else
		header('Location: '.$settings_baseurl);
	exit(0);
?>

