<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/class.redis.php');
	require_once ('./includes/funct.tool.php');
	require_once ('./includes/funct.account.php');
	require_once ('./includes/funct.login.php');
	if (@$_SESSION['uid'] > 0) {
		if ($settings_urlrewriting)
			header('Location: '.$settings_baseurl.'home');
		else
			header('Location: '.$settings_baseurl.'user.php');
		exit(0);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis - Reset your password</title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/theme.css">
		<link rel="stylesheet" type="text/css" href="./css-js/shadowbox.css">
		<script type="text/javascript" src="./css-js/shadowbox.js"></script>
		<script>
			Shadowbox.init({
				handleOversize: "drag",
				modal: true,
				initialWidth: '300px'
			});

			$(function() {
				$( "input:submit, button", ".account_box" ).button();
			});
		</script>
	</head>
	<body>
		<div class="account_box" style="position: absolute; right:90px; top:180px;">
			<h1 style="color: rgb(53,57,136)">Reset your password</h1>
			<?php
				try {
					$redis = new Redis($settings_redis_read_ip, $settings_redis_read_port);
					if ($settings_redis_password !== false)
						$redis->auth($settings_redis_password);
				} catch (Exception $e) {
					echo 'Unable to connect to Redis...';
				}
				
				if (account_checkToken($redis, @$_GET['t']) > 0) {
			?>
			<form id="form_register" name="form_register" method="POST" action="<?php if ($settings_urlrewriting == false) { ?>./password.php<?php } else { ?>/password<?php } ?>">
				<input type="hidden" name="action" value="reset" />
				<input type="hidden" name="token" value="<?php echo $_GET['t']; ?>" />
				<table border="0">
					<tr>
						<td><label style="font-size:11px; font-weight: bold;" for="name">New Password</label></td>
						<td><input style="background-image:url('./images/icons/lock.png'); background-repeat:no-repeat; background-position:2px; padding-left:20px; height: 25px; width:250px" class="text ui-widget-content ui-corner-all" type="text" name="password" id="password" value="" /></td>
					</tr>
					<tr><td><br/></td></tr>
					<tr>
						<td align="right" colspan="2"><input type="submit" value="Change password"/></td>
					</tr>
				</table>
			</form>
			<?php } else if (!isset($_POST['action'])){ ?>
				<font color="red" size="4">Unknow token</font>
			<?php } ?>
		</div>
		<div id="logo">
			<a href="."><img src="./images/logo.png" height="70px" border="0" /></a>
		</div>
		<div id="content" style="background-image:url('./images/intro_tweedis.png'); background-repeat:no-repeat;height:400px; margin-top: 50px">
			<div style="font-size: 24px; padding-top: 200px; padding-left: 280px">&ldquo;Stay in touch with your friends&rdquo;</div>
		</div>
		<div id="footer" style="margin-top: 20px; width:100% margin-left:auto; margin-right:auto; text-align:center;">
			<b>&copy;2011 Tweedis</b>
		</div>
	</body>
</html>

