<?php
	@session_start();
	require_once ('./includes/settings.php');
	require_once ('./includes/funct.message.php');
	if (@$_SESSION['uid'] <= 0) {
		$_SESSION['uid'] = -42;
		$_SESSION['error'] = 'You are not connected';
		header('Location: '.$settings_baseurl);
		exit(0);
	}
?>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Tweedis :: <?php echo $_SESSION['fullname']; ?></title>
		<link rel="stylesheet" href="./css-js/themes/redmond/jquery.ui.all.css">
		<script src="./css-js/jquery-1.6.2.js"></script>
		<script src="./css-js/ui/jquery.ui.core.js"></script>
		<script src="./css-js/ui/jquery.ui.widget.js"></script>
		<script src="./css-js/ui/jquery.ui.button.js"></script>
		<link rel="stylesheet" href="./css-js/connected.css">
		<script>
			$(function() {
				$( "input:submit, button", ".account_box" ).button();
			});
		</script>
	</head>
	<body>
		<header>
			<div class="container">
				<a href='.'>
					<img alt='Tweedis' height='30' src='./images/logo.png' />
				</a>
				<nav>
					<a href='<?php if ($settings_urlrewriting) { ?>/home<?php } else { ?>./user.php<?php } ?>'>Home</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/profile<?php } else { ?>./profile.php<?php } ?>'>My profile</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/settings<?php } else { ?>./settings.php<?php } ?>''>Settings</a>
					<a href='<?php if ($settings_urlrewriting) { ?>/logout<?php } else { ?>./logout.php<?php } ?>'s>Logout</a>
				</nav>
			</div>
		</header>
		<div id="div_content">
			<span id="welcome">Hello <?php echo $_SESSION['fullname']; ?>, Welcome to Tweedis!</span>
			<br/><br/><br/><br/>
			<h1 style="color: rgb(53,57,136)">Timeline</h1>
			
			<p>
				<?php
					try {
						$redis = new Redis($settings_redis_write_ip, $settings_redis_write_port);
					} catch (Exception $e) {
						echo 'Unable to connect to Redis database...';
						exit(-1);
					}
					$user_msg = message_getMessagesHistory($redis, 0, 50);
					$nb_elem = sizeof($user_msg);
					for ($i = 0; $i < $nb_elem; ++$i) {
					?>
						<div style="display: block; min-height: 50px">
							<a href="<?php if ($settings_urlrewriting) { ?>/profile/<?php echo $user_msg[$i]['author_id']; } else { ?>./profile.php?p=<?php echo $user_msg[$i]['author_id']; } ?>"><img height="60px" src="<?php echo $user_msg[$i]['author_avatar']; ?>" border="0" title="<?php echo htmlentities($user_msg[$i]['author_login']); ?>" alt="<?php echo htmlentities($user_msg[$i]['author_login']); ?>" align="left" /></a>
							<p>
								<i><?php echo date("Y-m-d \a\\t h:i", $user_msg[$i]['time']); ?></i> <br/>
								<font style="font-style: italic; font-size: 18px; font-weight: bold;"><?php echo htmlentities($user_msg[$i]['author_login']); ?>: </font>
								<?php echo htmlentities($user_msg[$i]['msg']); ?>
							</p>
						</div>
					<?php
					}
				?>
			</p>
		</div>
	</body>
</html>

